> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Update flow settings for a specific consumer

> Route that can be used to update the flow configuration for a specific consumer. It will merge the new configuration with the existing one.



## OpenAPI

````yaml patch /consumers/{consumer_id}/syncs/{syncid}/flows/{flowid}
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/syncs/{syncid}/flows/{flowid}:
    patch:
      tags:
        - Syncs
      summary: Update flow settings for a specific consumer
      description: >-
        Route that can be used to update the flow configuration for a specific
        consumer. It will merge the new configuration with the existing one.
      operationId: syncs_update_flowtoconsumer
      parameters:
        - name: syncid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Syncid
        - name: flowid
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Flowid
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateFlowConsumer'
      responses:
        '204':
          description: Successful Response
        '404':
          content:
            application/json:
              example:
                message: The flow is not yet activated for this consumer
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          content:
            application/json:
              example:
                message: >-
                  Error while validating context data; the field {field_name}
                  does not seem to be of type {field_type}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Unprocessable Entity
components:
  schemas:
    UpdateFlowConsumer:
      properties:
        triggerid:
          anyOf:
            - type: string
            - type: 'null'
          title: Triggerid
          default: trigger-1
        data:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Data
          description: Object containing the configuration of the flow for the consumer
          default: {}
      type: object
      title: UpdateFlowConsumer
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````